// #define VERSION_LABEL yon_char_unite(_("Version:")," ",version_application,"\n",NULL)
// #define HELP_LABEL yon_char_unite(_("ubl-settings-resourcequota version:")," ", version_application,"\n",_("CPU and RAM quotas"),"\n",_("Usage:"), " ubl-settings-resourcequota ",_("[OPTIONS]"),"\n",_("Options:"),"\n\t--help, -h\t\t\t",_("Show this help"),"\n\t--version, -V\t\t\t",_("Show package version"),"\n\t--lock-help\t\t\t",_("Lock this help menu"),"\n\t--lock-save\t\t\t",_("Lock configuration saving"),"\n\t--lock-save-local\t\t",_("Lock local configration saving"),"\n\t--lock-save-global\t\t",_("Lock global configration saving"),"\n\t--lock-load-global\t\t",_("Lock global configration loading"),"\n",NULL)
// #define ROOT_WARNING_LABEL _("Warning! Application was launched without root - root-dependent actions are locked")
#define TITLE_LABEL _("CPU and RAM quotas")
#define TITLE_INFO_LABEL _("Configuring CPU and RAM quota settings for groups and users of the system")

// #define SUCCESS_LABEL _("Operation succeeded")
// #define ABOUT_LABEL _("About")
// #define DOCUMENTATION_LABEL _("Documentation")
// #define SAVE_LOCAL_LABEL _("Save to local configuration")
// #define SAVE_GLOBAL_LABEL _("Save to global configuration")
// #define SAVE_CONFIGURATION_LABEL _("Save configuration")
// #define SAVE_LABEL _("Save")
// #define LOAD_LOCAL_LABEL _("Load local configuration")
// #define LOAD_GLOBAL_LABEL _("Load global configuration")
// #define LOAD_LABEL _("Load")
// #define LOAD_LABEL _("Load")

// #define CANCEL_LABEL _("Cancel")

// #define HELP_TITLE_LABEL _("Would you like to read documentation in the Web?")
// #define HELP_INFO_LABEL _("You will be redirected to documentation website, where documentation is\ntranslated and supported by community.")
// #define HELP_ALWAYS_OPEN_LABEL _("Always redirect to online documentation")
// #define OPEN_HELP_LABEL _("Open documentation")
// #define PROJECT_HOME_LABEL _("Project homepage")
#define NOTHING_CHOSEN_LABEL _("Nothing were chosen")

#define STR_USER _("User")
#define STR_GROUP _("Group")
#define STR_PROCESS _("Process")
#define STR_SLICE _("Slice")

#define STR_KB _("Kb")
#define STR_MB _("Mb")
#define STR_GB _("Gb")
#define STR_TB _("Tb")

#define GLOBAL_LOAD_SUCCESS _("Global configuration loading succeeded.")
#define LOCAL_LOAD_SUCCESS _("Local configuration loading succeeded.")

#define GLOBAL_LOCAL_SAVE_SUCCESS _("Local and global configuration saving succeeded.")
#define GLOBAL_SAVE_SUCCESS _("Global configuration saving succeeded.")
#define LOCAL_SAVE_SUCCESS _("Local configuration saving succeeded.")
#define STR_DEL_TABLE _("Quota deleted")
#define STR_NO_SELECT_TABLE _("Quota deleted")
#define STR_QUOTAS_ADD _("Quota deleted")
#define ALL_SAVE_SUCCESS _("Save configuration")
#define MESS_NOTHING_SAVE _("Nothing to save!")
#define LOCAL_SAVE_SUCCESS_LABEL _("Local configuration saving succeeded.")
#define LOAD_FAILED_LABEL _("Config loading failed")

#define LIST_QUOTAS_LABEL _("Quotas list")
#define DISPATCHER_LABEL _("Dispatcher")
#define PROCESSES_LABEL _("Processes")
#define INFORMATION_LABEL _("Information")

#define QUOTA_TYPE_TAB_LABEL _("Quota type")
#define QUOTA_OBJECT_TAB_LABEL _("Quota\ntarget")
#define SOFT_LIMIT_TAB_LABEL _("Soft RAM limit,\n(volume)")
#define HARD_LIMIT_TAB_LABEL _("Hard RAM limit,\n(volume)")
#define SWAP_LIMIT_TAB_LABEL _("Swap file\nlimit\n(volume)")
#define CPU_LIMIT_TAB_LABEL _("CPU limit\n(%)")
#define READ_LIMIT_TAB_LABEL _("I/O\nlimit\n(read)")
#define WRITE_LIMIT_TAB_LABEL _("I/O\nlimit\n(write)")

#define QUOTA_OBJECT_LABEL _("Quota target")
#define SOFT_LIMIT_LABEL _("Soft RAM limit, (volume)")
#define HARD_LIMIT_LABEL _("Hard RAM limit, (volume)")
#define SWAP_LIMIT_LABEL _("Swap file limit (volume)")
#define CPU_LIMIT_LABEL _("CPU limit (%)")
#define READ_LIMIT_LABEL _("I/O limit (read)")
#define WRITE_LIMIT_LABEL _("I/O limit (write)")
#define ACCEPT_LABEL _("Accept")

#define FILTERS_LABEL _("Filters")
#define INFORMATION_LABEL _("Information")
#define REMOVE_LABEL _("Remove")
#define EDIT_LABEL _("Edit")
#define ADD_LABEL _("Add")

#define UPDATE_DELAY_LABEL _("Update every")
#define SECONDS_LABEL _("seconds")
#define UPDATE_LABEL _("Update")

#define ALL_GROUPS_LABEL _("All groups including empty")
#define CORE_STREAMS_LABEL _("Core streams")

#define VIEW_PROPERTIES_LABEL _("View properties for")

#define REMOVE_TITLE_LABEL _("Remove quota")
#define REMOVE_VALIDATION_LABEL(target) yon_char_unite(_("Are you sure you want to remove quota")," <b>",target,"</b>?",NULL)
#define ADDING_LABEL _("Add quota")
#define ADDING_LABEL _("Add quota")
#define EDITING_LABEL _("Edit quota")
#define QUOTA_OBJ_LABEL _("Quota object:")
#define RAM_LABEL _("RAM limit")
#define SOFT_RESTRICTION_LABEL _("Soft restriction")
#define HARD_RESTRICTION_LABEL _("Hard restriction")
#define SWAP_LABEL _("Paging file limit")
#define CPU_LABEL _("CPU limit")
#define DEVICES_LABEL _("Input/Output limit of block devices")
#define DEVICE_LABEL _("Device:")
#define READ_LABEL _("Read")
#define WRITE_LABEL _("Write")
#define APPLY_CHANGES_LABEL _("Apply changes of operations limit")
#define MANUAL_INPUT_LABEL _("Manual input (for advanced users)")

#define OPERATION_FAILED_EMPTY_LABEL _("Current quota has no parameters")